Get Deposit Addresses
curl --request POST \
--url https://gateway.varchev.com/crypto/getDepositAddresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '
{
"nonce": "-93483433",
"asset": "ut ut",
"method": "voluptate incididunt quis reprehenderit",
"new": false
}
'import requests
url = "https://gateway.varchev.com/crypto/getDepositAddresses"
payload = {
"nonce": "-93483433",
"asset": "ut ut",
"method": "voluptate incididunt quis reprehenderit",
"new": False
}
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
nonce: '-93483433',
asset: 'ut ut',
method: 'voluptate incididunt quis reprehenderit',
new: false
})
};
fetch('https://gateway.varchev.com/crypto/getDepositAddresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": [],
"result": [
{
"address": "2N9fRkx5JTWXWHmXzZtvhQsufvoYRMq9ExV",
"expiretm": "0",
"new": true
},
{
"address": "2NCpXUCEYr8ur9WXM1tAjZSem2w3aQeTcAo",
"expiretm": "0",
"new": true
},
{
"address": "2Myd4eaAW96ojk38A2uDK4FbioCayvkEgVq",
"expiretm": "0"
}
]
}Private
Get Deposit Addresses
Retrieve (or generate a new) deposit addresses for a particular asset and method.
POST
/
getDepositAddresses
Get Deposit Addresses
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
200 - application/json
OK
The response is of type object.
⌘I

